{%load static%}
<!doctype html>
<html lang="en">

<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <link rel="icon" href="{%static 'shop/icon.png'%}" type="image/png" sizes="16x16">

  <!-- Bootstrap CSS -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
    integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
  <style>
    .navbars {
      background-color: white;
      position: fixed;
      top: 0;
      left: 0;
      z-index: 9999;
      width: 100%;
      height: 170px;
    }

    .navbars a:hover {
      background-color: rgb(196, 189, 189);
      color: rgb(153, 58, 14);
    }

    .navbars a {
      color: black;
      font-size: 22px;
      font-family: 'Courier New', Courier, monospace;
    }

    .social {
      display: flex;
      flex-direction: row;
      background: #ffeee6;
    }

    .social>h4 {
      font-style: italic;
      margin-left: 10px;
      font-size: 20px;
    }

    .images {
      display: flex;
      flex-direction: row;
    }

    img:hover {
      color: rebeccapurple;
    }

    .images h1 {
      font-size: 80px;
      font-style: oblique;
      font-family: fantasy;

    }

    {% block css %} {% endblock %}
  </style>
  <title>{% block title %} {% endblock %}</title>
</head>

<body style="background: white ">
  <div class="navbars">
    <div class="images">
      <img src="{% static 'shop/leaf_1.png'%}" height="70px" style="margin-left: 400px;margin-top: 8px;">
      <h1>PLANTERA</h1>
      <li>
        <a style="margin-left: 280px; " class="nav-link" href="/shop/sign">SIGNIN</a>
      </li>
      <li>
        <a class="nav-link" href="/shop/login">LOGIN</a>
      </li>
    </div>

    <nav class="navbar navbar-expand-lg">
      <a class="navbar-brand nav-link" href="/shop"
        style="text-align: center; margin: 2px; margin-left:  400px">HOME</a>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
        aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>

      <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">
          <li class="nav-item">
            <a class="nav-link" href="/shop/store">STORE</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="/shop/about">ABOUT US</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="/shop/contact">CONTACT US</a>
          </li>
          <li class="nav-item">
            <button type="button" class="btn btn-secondary mx-2" id="popcart" data-container="body"
              data-toggle="popover" data-placement="bottom" data-html="true"
              data-content="Vivamus sagittis lacus vel augue laoreet rutrum faucibus.">Cart(<span id="cart">0</span>)
            </button>
          </li>
        </ul>
      </div>

    </nav>
  </div>
  <br>
  <br>


  {% block body %} {% endblock %}
  <br>
  <footer>
    <div class="social">
      <h4 style="margin-top: 5px;">SOCIAL MEDIA</h4>
      <hr style="height:2px;width:65%;color:gray;background-color:gray">
      <a href="https://www.google.com/"><i class="fa fa-instagram" aria-hidden="true"
          style="font-size:36px;Margin-left:100px"></i></a>
      <a href="https://www.google.com/"><i class="fa fa-facebook-square" aria-hidden="true"
          style="font-size:36px;Margin-left:20px"></i></a>
      <a href="https://www.google.com/"><i class="fa fa-twitter-square" aria-hidden="true"
          style="font-size:36px;Margin-left:20px;Margin-right:10px"></i></a>
    </div>
  </footer>

  <!-- jQuery first, then Popper.js, then Bootstrap JS -->
  <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"
    integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
    crossorigin="anonymous"></script>
  <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"
    integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN"
    crossorigin="anonymous"></script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"
    integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV"
    crossorigin="anonymous"></script>
  <script src="//ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>

  <script>
    if (localStorage.getItem('cart') == null) {
      var cart = {};
    }
    else {
      cart = JSON.parse(localStorage.getItem('cart'));
      document.getElementById('cart').innerHTML = Object.keys(cart).length;
      console.log(cart);
    }
    // If the add to cart button is clicked, add/increment the item


    $('.cart').click(function () {
      var idstr = this.id.toString();
      if (cart[idstr] != undefined) {
        cart[idstr] = cart[idstr] + 1;
      } else {
        cart[idstr] = 1;
      }
      updateCart(cart);

    });
    //Add popover
    // $('#popcart').popover();
    // updatePopover(cart);

    function updatePopover(cart) {
      console.log('We are inside updatePopover');
      var popStr = "";
      popStr = popStr + "<h5> Hi , there </h5><div class='mx-2 my-2'>";
      var i = 1;
      for (var item in cart) {
        popStr = popStr + "<b>" + i + "</b>. ";
        popStr = popStr + document.getElementById('name' + item).innerHTML.slice(0, 19) + "... Qty: " + cart[item] + '<br>';
        console.log(cart);
        i = i + 1;
      }
      popStr = popStr + "</div>"
      console.log(popStr);
      document.getElementById('popcart').setAttribute('data-content', popStr);
      $('#popcart').popover('show');
    }


    function updateCart(cart) {
      var sum = 0;
      for (var item in cart) {
        sum = sum + cart[item];
        document.getElementById('div' + item).innerHTML = "<button id='minus" + item + "' class='btn btn-primary minus'>-</button> <span id='val" + item + "''>" + cart[item] + "</span> <button id='plus" + item + "' class='btn btn-primary plus'> + </button>";
      }
      localStorage.setItem('cart', JSON.stringify(cart));
      document.getElementById('cart').innerHTML = sum;
      console.log(cart);
      updatePopover(cart);
    }

    $('.divpr').on("click", "button.minus", function () {
      a = this.id.slice(7,);
      cart['pr' + a] = cart['pr' + a] - 1;
      cart['pr' + a] = Math.max(0, cart['pr' + a]);
      document.getElementById('valpr' + a).innerHTML = cart['pr' + a];
      updateCart(cart);
    });

    $('.divpr').on("click", "button.plus", function () {
      a = this.id.slice(6,);
      cart['pr' + a] = cart['pr' + a] + 1;
      document.getElementById('valpr' + a).innerHTML = cart['pr' + a];
    });

  </script>
  {% block js %} {% endblock %}
</body>

</html>